{% extends "nav.twig" %}

{% block title %}
	Ajout d'un événement
{% endblock %}

{% block contenu %}
	<a href="{{ app.url_generator.generate('evenements') }}">
		<button class="btn btn-default">
			<i class="glyphicon glyphicon-arrow-left"></i> Annuler
		</button>
	</a>

	<form method="post" action="{{ app.url_generator.generate('ajout_evenement') }}" class="top_margin">
		<div class="form-group row">
			<label for="staticName" class="col-sm-2 col-form-label"> Nom </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticName" placeholder="Nom" name="nom" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticDebut" class="col-sm-2 col-form-label"> Date de début </label>
			<div class="col-sm-10">
		    	<input type="date" class="form-control" id="staticDebut" placeholder="Date début" name="date_debut" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticFin" class="col-sm-2 col-form-label"> Date de fin </label>
			<div class="col-sm-10">
		    	<input type="date" class="form-control" id="staticFin" placeholder="Date fin" name="date_fin" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectEnseignant" class="col-sm-2 col-form-label"> Selectionner l'enseignant responsable </label>
			<div class="col-sm-10">
				<select class="form-control" id="SelectEnseignant" name="enseignant">
				{% for ens in enseignants %}
					<option value="{{ens.id}}"> {{ ens.nom }} </option>
				{% endfor %}
				</select>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectGroupe" class="col-sm-2 col-form-label"> Selectionner le groupe concerné </label>
			<div class="col-sm-10">
				<select class="form-control" id="SelectGroupe" name="groupe">
				{% for groupe in groupes %}
					<option value="{{groupe.id}}"> {{ groupe.nom }} </option>
				{% endfor %}
				</select>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticDuree" class="col-sm-2 col-form-label"> Duree soutenances </label>
			<div class="col-sm-10">
		    	<input type="number" class="form-control" id="staticDuree" placeholder="Durée soutenances" name="dureeSoutenances" pattern= "[0-9]" required>
			</div>
		</div>

		<button type="button" class="btn btn-success" onclick="verif()" id="sub"> <i class="glyphicon glyphicon-ok"></i> Ajouter </button>
	</form>

	<script>
		function verif() {
			let debut = $("#staticDebut").val();
			let deb = new Date();
			deb.setFullYear(debut.substr(0,4));
			deb.setMonth(debut.substr(5,2));
			deb.setDate(debut.substr(8,2));
			deb.setHours(0);
			deb.setMinutes(0);
			deb.setSeconds(0);
			deb.setMilliseconds(0);
			var d1=deb.getTime()

			let fin = $("#staticFin").val();
			let fi = new Date();
			fi.setFullYear(fin.substr(0,4));
			fi.setMonth(fin.substr(5,2));
			fi.setDate(fin.substr(8,2));
			fi.setHours(0);
			fi.setMinutes(0);
			fi.setSeconds(0);
			fi.setMilliseconds(0);
			var f1=fi.getTime()

			if(d1>f1) {
				alert("date de fin invalide");
			}
			else {
				$("#sub").attr("type", "submit");
				$("#sub").click();
			}
		}
	</script>
{% endblock %}
